# Income Statements `GET` `https://api.unusualwhales.com/api/stock/{ticker}/income-statements` Returns income statement data including revenue, gross profit, operating income, EBIT, EBITDA, net income, R&D, SG&A, depreciation, interest, and tax expenses. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `comprehensive_income_net_of_tax` | string | | | `cost_of_goods_and_services_sold` | string | | | `cost_of_revenue` | string | | | `depreciation` | string | | | `depreciation_and_amortization` | string | | | `ebit` | string | | | `ebitda` | string | | | `fiscal_date_ending` | string | | | `gross_profit` | string | | | `income_before_tax` | string | | | `income_tax_expense` | string | | | `inserted_at` | string | | | `interest_and_debt_expense` | string | | | `interest_expense` | string | | | `interest_income` | string | | | `investment_income_net` | string | | | `net_income` | string | | | `net_income_from_continuing_operations` | string | | | `net_interest_income` | string | | | `non_interest_income` | string | | | `operating_expenses` | string | | | `operating_income` | string | | | `other_non_operating_income` | string | | | `report_type` | string | | | `reported_currency` | string | | | `research_and_development` | string | | | `selling_general_and_administrative` | string | | | `ticker` | string | | | `total_revenue` | string | | | `updated_at` | string | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/income-statements" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/income-statements", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "comprehensive_income_net_of_tax": "22430000000", "cost_of_goods_and_services_sold": "51000000000", "cost_of_revenue": "52553000000", "depreciation": "1200000000", "depreciation_and_amortization": "2910000000" } ] } ```